| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | Protected Member Functions | List of all members
SignatureAnnot Class Reference
PDFViewCtrl » annotCompontents

Represents a PDF form signature annotation component in the PDF viewer. This class is responsible for handling the PDF form signature annotation component's lifecycle, rendering, and context menu configuration. More...

Inherits WidgetAnnot.

## Public Member Functions
async | signDoc (settings:SignDocInfo, sign:DigestSignHandler)
| Signs the PDF document with the given sign settings and sign handler. The signed document will be opened in the viewer. More...
async | startSignWorkflow ()
| Starts the signing workflow for the signature field. The default built-in implementation is: it opens a dialog to allow the user to sign the document. More...
async | startVerifyWorkflow ()
| Starts the verification workflow for the signature field. The default built-in implementation is: it opens a dialog to show the verified result of the signature. More...

## Protected Member Functions
async | handleOnClick ()
| Handles the click event on the signature annot. More...

## Detailed Description

Represents a PDF form signature annotation component in the PDF viewer. This class is responsible for handling the PDF form signature annotation component's lifecycle, rendering, and context menu configuration.

Since
  11.0.0

## Member Function Documentation

## ◆ handleOnClick()

async SignatureAnnot::handleOnClick | ( |  | ) |
| inline protected

Handles the click event on the signature annot.

This method can be overridden in subclasses to provide custom behavior for handling the click event by registering a mixin function with the ViewerAnnotManager.registerMatchRule method.

Returns
  void -

See also
  ViewerAnnotManager.registerMatchRule

Since
  11.0.0

## ◆ signDoc()

async SignatureAnnot::signDoc | ( |  | settings:SignDocInfo,
|  |  | sign:DigestSignHandler
| ) |  |
| inline

Signs the PDF document with the given sign settings and sign handler. The signed document will be opened in the viewer.

Parameters

  settings | SignDocInfo - The sign settings.
  sign | DigestSignHandler - The sign handler.

Returns
  Promise<void> - A promise that resolves when the document is signed.

See also
  PDFDoc.sign

## ◆ startSignWorkflow()

async SignatureAnnot::startSignWorkflow | ( |  | ) |
| inline

Starts the signing workflow for the signature field. The default built-in implementation is: it opens a dialog to allow the user to sign the document.

Returns
  Promise<void> - A promise that resolves when the workflow is complete.

Since
  11.0.0

See also
  PDFViewer.getAnnotManager
  ViewerAnnotManager.registerMatchRule
  ISignDocDialog
  ISignatureUI

## ◆ startVerifyWorkflow()

async SignatureAnnot::startVerifyWorkflow | ( |  | ) |
| inline

Starts the verification workflow for the signature field. The default built-in implementation is: it opens a dialog to show the verified result of the signature.

Returns
  Promise<void> - A promise that resolves when the workflow is complete.

Since
  11.0.0

See also
  PDFViewer.getAnnotManager
  ViewerAnnotManager.registerMatchRule
  ISignVerifiedResultDialog
  ISignatureUI

@2025 Foxit Software Incorporated. All rights reserved.